<div class="text-layout">
  <h1>Pipes personalizados</h1>
  <p>Piples creados por {{"nosotros" | mayusculas:enMayusculas}}</p>

  <button pButton class="p-button-label" (click)="changeMayusculas()">
    Toggle Mayusculas-Minusculas
  </button>
</div>
<hr>

<p-toolbar>
  <div class="p-toolbar-group-left">


  </div>

  <div class="p-toolbar-group-right">
    <button pButton icon="pi pi-sort" class="mr-1 p-button-warning" label="Mayúsculas"></button>
    <button pButton icon="pi pi-sort" class="mr-1" label="Nombre" (click)="ordenarPorValores('nombre')"></button>
    <button pButton icon="pi pi-sort" class="mr-2 p-button-success" label="Valores"
            (click)="ordenarPorValores('vuela')"></button>
    <button pButton icon="pi pi-sort" class="mr-2 p-button-help" label="Color"
            (click)="ordenarPorValores('color')"></button>
  </div>
</p-toolbar>

<div class="grid">
  <div class="col mt-2">
    <p-table [value]="heroes | ordenar:ordenarPor" responsiveLayout="scroll">
      <ng-template pTemplate="header">
        <tr>
          <th>Nombre</th>
          <th>Vuela</th>
          <th>Color</th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-product>
        <tr>
          <td>{{product.name}}</td>
          <td>{{product.fly | vuela | titlecase}}</td>
          <td>{{product.color | color | titlecase}}</td>
        </tr>
      </ng-template>
    </p-table>
  </div>
</div>

<br>
<h3 class="text-layout mt-5">Table sorter</h3>
<div class="grid">
  <div class="col mt-2">
    <p-table [value]="heroes | slice:0" responsiveLayout="scroll">
      <ng-template pTemplate="header">
        <tr>
          <th pSortableColumn="name">Nombre
            <p-sortIcon field="name"></p-sortIcon>
          </th>
          <th pSortableColumn="fly">Vuela
            <p-sortIcon field="fly"></p-sortIcon>
          </th>
          <th pSortableColumn="color">Color
            <p-sortIcon field="color"></p-sortIcon>
          </th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-product>
        <tr>
          <td>{{product.name}}</td>
          <td>{{product.fly | vuela | titlecase}}</td>
          <td>{{product.color | color | titlecase}}</td>
        </tr>
      </ng-template>
    </p-table>
  </div>
</div>
